<?php
/**
 * 手机短信类
 */

namespace sendmsg;
class Sms
{
    /*
     * 发送手机短信
     * @param unknown $mobile 手机号
     * @param unknown $content 短信内容
    */
    public function send($mobile, $content)
    {   
        return $this->mysend_sms($mobile, $content);
    }


    private function mysend_sms($mobile, $content)
    {
        $user_id = urlencode(config('mobile_username')); 
        $mobile_pwd = urlencode(config('mobile_pwd')); 
        $sign = urlencode(config('mobile_signature'));
        if (!$mobile || !$content || !$user_id || !$mobile_pwd)
            return false;
        if (is_array($mobile)) {
            $mobile = implode(",", $mobile);
        }
        $mobile=urlencode($mobile);
        $content=urlencode($content);
        $url = 'http://api.smsbao.com/sms?u='.$user_id.'&p='.md5($mobile_pwd).'&m='.$mobile.'&c=【'.$sign.'】'.$content;

        if (function_exists('file_get_contents')) {
            $res = file_get_contents($url);
        }
        else {
            $ch = curl_init();
            $timeout = 5;
            curl_setopt($ch, CURLOPT_URL, $url);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
            curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, $timeout);
            $res = curl_exec($ch);
            curl_close($ch);
        }
        if ($res == 0) {
            return true;
        }
        return false;

    }


}
